Results 1 to 9 of 9

Thread: Migration of extensions from contao 3 to contao 4

  1. #1
    New user
    Join Date
    09-13-17.
    Posts
    26

    Default Migration of extensions from contao 3 to contao 4

    Hi,I'm new to contao . How to migrate an extension from contao 3 to conto 4 ??? Please provide me any reference.

  2. #2
    User Spooky's Avatar
    Join Date
    01-03-13.
    Posts
    331

    Default

    Any Contao 3(.5) Extension is in principle compatible with Contao 4. There are some things that you need to upgrade though, see https://github.com/contao/core-bundl...ter/UPGRADE.md

    You need to be more specific what exactly you want to do.

  3. #3
    New user
    Join Date
    09-13-17.
    Posts
    26

    Default

    Quote Originally Posted by aswathy View Post
    Hi,I'm new to contao . How to migrate an extension from contao 3 to conto 4 ??? Please provide me any reference.


    I install the extension custom_module (comptibility : Contao from 3.2.0 to 3.5.28 ).I need to make this extension works in contao 4.4

  4. #4
    User Spooky's Avatar
    Join Date
    01-03-13.
    Posts
    331

    Default

    You can install this extension manually in Contao 4. Simply download it, put the contao-custom_module-master folder into the system/modules folder of your Contao 4 installation and then rename it to custom_module

    If you successfully tested this extension I can make a PR so that it is available via Packagist for Contao 4.
    Last edited by Spooky; 09/14/2017 at 08:55.

  5. #5
    User Spooky's Avatar
    Join Date
    01-03-13.
    Posts
    331

    Default

    Btw. the functionality of the custom_module Extension can be achieved without it too. Simply create a Template that starts with mod_html_ or ce_html_ (depending on whether you want to create a Module or Content Element), create a new HTML Module or Content Element and then select this template. In the HTML field, simply put in any HTML comment, e.g.
    HTML Code:
    <!-- my template -->

  6. #6
    New user
    Join Date
    09-13-17.
    Posts
    26

    Default

    Quote Originally Posted by Spooky View Post
    You can install this extension manually in Contao 4. Simply download it, put the contao-custom_module-master folder into the system/modules folder of your Contao 4 installation and then rename it to custom_module

    If you successfully tested this extension I can make a PR so that it is available via Packagist for Contao 4.



    I manually installed the extension.Updated the database.But It doesn't appear in the backend template module.

  7. #7
    New user
    Join Date
    09-13-17.
    Posts
    26

    Default

    Quote Originally Posted by Spooky View Post
    Btw. the functionality of the custom_module Extension can be achieved without it too. Simply create a Template that starts with mod_html_ or ce_html_ (depending on whether you want to create a Module or Content Element), create a new HTML Module or Content Element and then select this template. In the HTML field, simply put in any HTML comment, e.g.
    HTML Code:
    <!-- my template -->
    Thank you for your valuable information. But I need basic guidelines for compatibility fix from 3 to 4
    Last edited by aswathy; 09/14/2017 at 10:19.

  8. #8
    User Spooky's Avatar
    Join Date
    01-03-13.
    Posts
    331

    Default

    Quote Originally Posted by aswathy View Post
    I manually installed the extension.Updated the database.But It doesn't appear in the backend template module.
    Did you delete the cache manually after manually installing it? i.e. deleting var/cache/prod (and may be var/cache/dev too). You need to do that before opening the Contao Install Tool.

  9. #9
    User Spooky's Avatar
    Join Date
    01-03-13.
    Posts
    331

    Default

    Quote Originally Posted by aswathy View Post
    But I need basic guidelines for compatibility fix from 3 to 4
    As I said, any extension that works in Contao 3.5.28+ should also work in Contao 4. There are some exceptions, since some things have changed in Contao 4 (see the aforementioned UPGRADE.md). But in general Contao 3 extensions are compatible with Contao 4. You do not need to change anything in general. Thus you need to ask more specifically what you are trying to do.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •